# Instalación de dependencias para python

La conversion del código a Python 3 requiere actualmente los paquetes especificados en `requirements.txt`

Para instalar dependencias de python se usa el modulo venv (https://docs.python.org/3/library/venv.html) que instala todas las dependencias en un entorno independiente del sistema.


# Instalación rápida

## Ubuntu 24.04

    sudo apt install python3-git python3-libarchive-c python3-termcolor bsdextrautils


## Agregar clave de SSH si es necesario

El proceso falla si no hay clave de SSH en la imagen. Utilizar:

    /opt/opengnsys/bin/setsslkey

para agregarla.

# Ejecutar


    # ./opengnsys_git_installer.py

Debe ejecutarse como `root`.

El instalador descarga e instala Forgejo, un interfaz web de Git. La configuración se genera automáticamente.

Forgejo gestiona los repositorios y el acceso por SSH, por lo cual debe quedarse siempre corriendo. Por defecto se instala en el puerto 3000.

El usuario por defecto es `oggit` con password `opengnsys`.




# Documentación de código fuente

Se puede generar documentación de Python con una utilidad como pdoc3 (hay multiples alternativas posibles):

    # Instalar pdoc3
    pip install --user pdoc3

    # Generar documentación
    pdoc3 --force --html opengnsys_git_installer.py

